sysmon: XSysMon_Config Struct Reference

| sysmon Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XSysMon_Config Struct Reference
Sysmon_v7_5

This typedef contains configuration information for the System Monitor/ADC device. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| Device base address. More...
int | IncludeInterrupt
| Supports Interrupt driven mode. More...
u8 | IpType
| 1 - System Management More...

## Detailed Description

This typedef contains configuration information for the System Monitor/ADC device.

## Field Documentation

UINTPTR XSysMon_Config::BaseAddress

Device base address.

Referenced by SysMonAuxPolledExample(), SysMonIntrExample(), SysMonPolledExample(), SysMonSingleChannelIntrExample(), XSysMon_CfgInitialize(), XSysMon_DisableTempUpdate(), XSysMon_DisableUserOverTemp(), XSysMon_EnableTempUpdate(), XSysMon_EnableUserOverTemp(), XSysMon_GetAdcClkDivisor(), XSysMon_GetAlarmEnables(), XSysMon_GetAlarmOutputStatus(), XSysMon_GetAlarmThreshold(), XSysMon_GetAvg(), XSysMon_GetCalibCoefficient(), XSysMon_GetCalibEnables(), XSysMon_GetMinMaxMeasurement(), XSysMon_GetOverTemp(), XSysMon_GetSeqAcqTime(), XSysMon_GetSeqAvgEnables(), XSysMon_GetSeqChEnables(), XSysMon_GetSeqInputMode(), XSysMon_GetSequencerMode(), XSysMon_GetStatus(), XSysMon_IntrClear(), XSysMon_IntrDisable(), XSysMon_IntrEnable(), XSysMon_IntrGetEnabled(), XSysMon_IntrGetStatus(), XSysMon_IntrGlobalDisable(), XSysMon_IntrGlobalEnable(), XSysMon_Reset(), XSysMon_ResetAdc(), XSysMon_SetAdcClkDivisor(), XSysMon_SetAlarmEnables(), XSysMon_SetAlarmThreshold(), XSysMon_SetAvg(), XSysMon_SetCalibEnables(), XSysMon_SetExtenalMux(), XSysMon_SetOverTemp(), XSysMon_SetSeqAcqTime(), XSysMon_SetSeqAvgEnables(), XSysMon_SetSeqChEnables(), XSysMon_SetSeqInputMode(), XSysMon_SetSequencerEvent(), XSysMon_SetSequencerMode(), XSysMon_SetSingleChParams(), XSysMon_SetTempWaitCycles(), and XSysMon_StartAdcConversion().

u16 XSysMon_Config::DeviceId

Unique ID of device.

Referenced by XSysMon_CfgInitialize().

int XSysMon_Config::IncludeInterrupt

Supports Interrupt driven mode.

Referenced by XSysMon_CfgInitialize(), XSysMon_IntrClear(), XSysMon_IntrDisable(), XSysMon_IntrEnable(), XSysMon_IntrGetEnabled(), XSysMon_IntrGetStatus(), XSysMon_IntrGlobalDisable(), and XSysMon_IntrGlobalEnable().

u8 XSysMon_Config::IpType

1 - System Management

0 - XADC/System Monoitor